Adium

Opened 6 years ago

Closed 6 years ago

Last modified 5 years ago

#9425 closed crash (fixed)

Crash following status change of contact

Reported by: jas8522 Owned by: evands
Milestone: Adium 1.3 Component: Adium Core
Version: 1.4hg Severity: major
Keywords: Cc:
Patch Status:

Description

I'm guessing at that summary based on the stack trace since I can't figure out how to reproduce this. I wasn't working with any of the Adium windows when it crashed, but I do know that the CL window was present as well as a message window with at least one unread message.

I'm using [22870]

Stack trace is as follows:

Process:         Adium [6764]
Path:            /Users/jordan/adium/build/Development/Adium.app/Contents/MacOS/Adium
Identifier:      com.adiumX.adiumX
Version:         1.3svn (1.3svn)
Code Type:       X86 (Native)
Parent Process:  launchd [150]

Date/Time:       2008-03-10 23:09:18.678 -0300
OS Version:      Mac OS X 10.5.2 (9C31)
Report Version:  6

Exception Type:  EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: KERN_INVALID_ADDRESS at 0x00000000c44ebddf
Crashed Thread:  0

Thread 0 Crashed:
0   libobjc.A.dylib               	0x902a66e8 objc_msgSend + 24
1   com.adiumX.adiumX             	0x000f3a48 -[AIContactController listObjectStatusChanged:modifiedStatusKeys:silent:] + 71 (AIContactController.m:408)
2   Adium                         	0x002d0099 -[AIListObject didModifyStatusKeys:silent:] + 98 (AIListObject.m:317)
3   Adium                         	0x002cc9df -[ESObjectWithStatus notifyOfChangedStatusSilently:] + 129 (ESObjectWithStatus.m:145)
4   Adium                         	0x002d10d8 -[AIListObject notifyOfChangedStatusSilently:] + 74 (AIListObject.m:736)
5   Adium                         	0x002d00e5 -[AIListObject didNotifyOfChangedStatusSilently:] + 69 (AIListObject.m:331)
6   Adium                         	0x002cc9fe -[ESObjectWithStatus notifyOfChangedStatusSilently:] + 160 (ESObjectWithStatus.m:147)
7   Adium                         	0x002d10d8 -[AIListObject notifyOfChangedStatusSilently:] + 74 (AIListObject.m:736)
8   com.adiumX.AdiumPurple        	0x0f3035e5 -[CBPurpleAccount updateSignon:withData:] + 109 (CBPurpleAccount.m:212)
9   com.adiumX.AdiumPurple        	0x0f302490 buddy_event_cb + 687 (adiumPurpleSignals.m:97)
10  libpurple                     	0x11061da3 purple_marshal_VOID__POINTER + 40
11  libpurple                     	0x110619b9 purple_signal_emit_vargs + 354
12  libpurple                     	0x11061851 purple_signal_emit + 124
13  libpurple                     	0x1101cd94 purple_blist_update_buddy_status + 208
14  libpurple                     	0x11057c48 purple_prpl_got_user_status + 361
15  libpurple                     	0x110ded2e msn_user_update + 228
16  libpurple                     	0x110d2948 nln_cmd + 358
17  libpurple                     	0x110c552b msn_cmdproc_process_cmd + 478
18  libpurple                     	0x110c55d7 msn_cmdproc_process_cmd_text + 96
19  libpurple                     	0x110d637b read_cb + 527
20  com.adiumX.AdiumPurple        	0x0f2ffa2f socketCallback + 247 (adiumPurpleEventloop.m:370)
21  com.apple.CoreFoundation      	0x91ebe940 __CFSocketDoCallback + 640
22  com.apple.CoreFoundation      	0x91ebff75 __CFSocketPerformV0 + 133
23  com.apple.CoreFoundation      	0x91eb562e CFRunLoopRunSpecific + 3166
24  com.apple.CoreFoundation      	0x91eb5d18 CFRunLoopRunInMode + 88
25  com.apple.HIToolbox           	0x904386a0 RunCurrentEventLoopInMode + 283
26  com.apple.HIToolbox           	0x904384b9 ReceiveNextEventCommon + 374
27  com.apple.HIToolbox           	0x9043832d BlockUntilNextEventMatchingListInMode + 106
28  com.apple.AppKit              	0x967ba7d9 _DPSNextEvent + 657
29  com.apple.AppKit              	0x967ba08e -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 128
30  com.apple.AppKit              	0x967b30c5 -[NSApplication run] + 795
31  com.apple.AppKit              	0x9678030a NSApplicationMain + 574
32  com.adiumX.adiumX             	0x000036a7 main + 30 (main.m:4)
33  com.adiumX.adiumX             	0x00003012 _start + 216
34  com.adiumX.adiumX             	0x00002f39 start + 41

Attachments (1)

May_3_Debug.txt (8.4 KB) - added by jas8522 6 years ago.

Download all attachments as: .zip

Change History (38)

comment:1 Changed 6 years ago by jas8522

Last event in debug log prior to crash:

23:09:18: (Libpurple: msn) S: NS 000: NLN NLN robby4@hotmail.de robby4@hotmail.suffix 1073741856 %3cmsnobj%20Creator%3d%22robby4%40hotmail%2esuffix%22%20Size%3d%2211895%22%20Type%3d%223%22%20Location%3d%22TFR2C2%2etmp%22%20Friendly%3d%22AAA%3d%22%20SHA1D%3d%22ZAwL%2bMteEYk0VTTxaue17haa3wc%3d%22%20SHA1C%3d%22lTUT2i8p7JoRmtWLrOFYZMgEMFI%3d%22%2f%3e
23:09:18: (Libpurple: blist) Updating buddy status for robby4@hotmail.suffix (MSN)
23:09:18: -[AIAccountSelectionView contactMenu:didRebuildMenuItems:]: 
23:09:18: -[AIAccountSelectionView chatDestinationChanged:]: popUp_contacts selecting <AIListContact:11c99b80 AIM.robb1986ie> ((null))
23:09:18: -[AIAccountSelectionView chatSourceChanged:]: popUp_accounts selecting <ESPurpleAIMAccount:f588760 6>:jas8522 ((null))

Looks like Robbie caused Adium to crash! ;)

comment:2 Changed 6 years ago by Robby

I was messing with get info of my cousin. I think I had drag-'n'-dropped her buddy icon to the desktop. I can't retrieve the debug log, though. :/

Host Name:      robert-vehses-mac-mini
Date/Time:      2008-03-13 16:45:31.348 +0100
OS Version:     10.4.11 (Build 8S165)
Report Version: 4

Command: Adium
Path:    /Users/robertvehse/adium/build/Development/Adium.app/Contents/MacOS/Adium
Parent:  WindowServer [61]

Version: 1.3svn (1.3svn)

PID:    6006
Thread: 0

Exception:  EXC_BAD_ACCESS (0x0001)
Codes:      KERN_PROTECTION_FAILURE (0x0002) at 0x00000021

Thread 0 Crashed:
0   libobjc.A.dylib           	0x90a410f8 objc_msgSend + 24
1   com.adiumX.adiumX         	0x0014ede8 -[AIContactController _informObserversOfObjectStatusChange:withKeys:silent:] + 228 (AIContactController.m:1516)
2   com.adiumX.adiumX         	0x001497d0 -[AIContactController listObjectStatusChanged:modifiedStatusKeys:silent:] + 112 (AIContactController.m:408)
3   Adium                     	0x0045a644 -[AIListObject didModifyStatusKeys:silent:] + 156
4   Adium                     	0x004549a8 -[ESObjectWithStatus notifyOfChangedStatusSilently:] + 196
5   Adium                     	0x0045c234 -[AIListObject notifyOfChangedStatusSilently:] + 128
6   Adium                     	0x0045a6d4 -[AIListObject didNotifyOfChangedStatusSilently:] + 124
7   Adium                     	0x004549d0 -[ESObjectWithStatus notifyOfChangedStatusSilently:] + 236
8   Adium                     	0x0045c234 -[AIListObject notifyOfChangedStatusSilently:] + 128
9   Adium                     	0x0042f378 -[AIAccount(Abstract) removeStatusObjectsFromContact:silently:] + 268 (AIAbstractAccount.m:1166)
10  Adium                     	0x0045f81c -[AIListContact setOnline:notify:silently:] + 780
11  com.adiumX.AdiumPurple    	0x08ba8570 -[CBPurpleAccount updateSignoff:withData:] + 116 (CBPurpleAccount.m:221)
12  com.adiumX.AdiumPurple    	0x08ba6d58 buddy_event_cb + 928
13  libpurple                 	0x095f8034 purple_marshal_VOID__POINTER + 80
14  libpurple                 	0x095f7a60 purple_signal_emit_vargs + 432
15  libpurple                 	0x095f789c purple_signal_emit + 168
16  libpurple                 	0x0959f92c purple_blist_update_buddy_status + 392
17  libpurple                 	0x095eabfc purple_prpl_got_user_status + 408
18  libpurple                 	0x09660dec jabber_presence_parse + 5460
19  libpurple                 	0x09650818 jabber_process_packet + 244
20  libpurple                 	0x0965da60 jabber_parser_element_end_libxml + 180
21  libxml2.2.dylib           	0x91d738ec xmlParseNotationDecl + 3776
22  libxml2.2.dylib           	0x91d57124 xmlParseChunk + 3996
23  libpurple                 	0x0965dd28 jabber_parser_process + 176
24  libpurple                 	0x096514f8 jabber_recv_cb_ssl + 200
25  libpurple                 	0x09601fcc recv_cb + 80
26  com.adiumX.AdiumPurple    	0x08ba3094 socketCallback + 364
27  com.apple.CoreFoundation  	0x907f21f4 __CFSocketDoCallback + 532
28  com.apple.CoreFoundation  	0x907f1f18 __CFSocketPerformV0 + 288
29  com.apple.CoreFoundation  	0x907df30c __CFRunLoopDoSources0 + 384
30  com.apple.CoreFoundation  	0x907de83c __CFRunLoopRun + 452
31  com.apple.CoreFoundation  	0x907de2bc CFRunLoopRunSpecific + 268
32  com.apple.HIToolbox       	0x932abb20 RunCurrentEventLoopInMode + 264
33  com.apple.HIToolbox       	0x932ab1b4 ReceiveNextEventCommon + 380
34  com.apple.HIToolbox       	0x932ab020 BlockUntilNextEventMatchingListInMode + 96
35  com.apple.AppKit          	0x93790bc4 _DPSNextEvent + 384
36  com.apple.AppKit          	0x93790888 -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 116
37  com.apple.AppKit          	0x9378cdcc -[NSApplication run] + 472
38  com.apple.AppKit          	0x9387d974 NSApplicationMain + 452
39  com.adiumX.adiumX         	0x0000454c main + 60 (main.m:3)
40  com.adiumX.adiumX         	0x00003460 _start + 760
41  com.adiumX.adiumX         	0x00003164 start + 48

Thread 1:
0   libSystem.B.dylib         	0x9000b348 mach_msg_trap + 8
1   libSystem.B.dylib         	0x9000b29c mach_msg + 60
2   com.apple.CoreFoundation  	0x907de9b8 __CFRunLoopRun + 832
3   com.apple.CoreFoundation  	0x907de2bc CFRunLoopRunSpecific + 268
4   com.apple.audio.CoreAudio 	0x91459524 HALRunLoop::OwnThread(void*) + 264
5   com.apple.audio.CoreAudio 	0x914592c4 CAPThread::Entry(CAPThread*) + 96
6   libSystem.B.dylib         	0x9002bd08 _pthread_body + 96

Thread 2:
0   libSystem.B.dylib         	0x9001f88c select + 12
1   com.apple.CoreFoundation  	0x907f124c __CFSocketManager + 472
2   libSystem.B.dylib         	0x9002bd08 _pthread_body + 96

Thread 3:
0   libSystem.B.dylib         	0x9000b348 mach_msg_trap + 8
1   libSystem.B.dylib         	0x9000b29c mach_msg + 60
2   com.apple.CoreFoundation  	0x907de9b8 __CFRunLoopRun + 832
3   com.apple.CoreFoundation  	0x907de2bc CFRunLoopRunSpecific + 268
4   com.apple.Foundation      	0x92c1c738 +[NSURLCache _diskCacheSyncLoop:] + 152
5   com.apple.Foundation      	0x92bf40c0 forkThreadForFunction + 108
6   libSystem.B.dylib         	0x9002bd08 _pthread_body + 96

Thread 4:
0   libSystem.B.dylib         	0x9000b348 mach_msg_trap + 8
1   libSystem.B.dylib         	0x9000b29c mach_msg + 60
2   com.apple.CoreFoundation  	0x907de9b8 __CFRunLoopRun + 832
3   com.apple.CoreFoundation  	0x907de2bc CFRunLoopRunSpecific + 268
4   com.apple.Foundation      	0x92c1b5f8 +[NSURLConnection(NSURLConnectionInternal) _resourceLoadLoop:] + 264
5   com.apple.Foundation      	0x92bf40c0 forkThreadForFunction + 108
6   libSystem.B.dylib         	0x9002bd08 _pthread_body + 96

Thread 5:
0   libSystem.B.dylib         	0x9002c3c8 semaphore_wait_signal_trap + 8
1   libSystem.B.dylib         	0x90030eac pthread_cond_wait + 480
2   com.apple.Foundation      	0x92bfb22c -[NSConditionLock lockWhenCondition:] + 68
3   com.apple.AppKit          	0x9382d7e8 -[NSUIHeartBeat _heartBeatThread:] + 324
4   com.apple.Foundation      	0x92bf40c0 forkThreadForFunction + 108
5   libSystem.B.dylib         	0x9002bd08 _pthread_body + 96

Thread 0 crashed with PPC Thread State 64:
  srr0: 0x0000000090a410f8 srr1: 0x000000000200f030                        vrsave: 0x0000000000000000
    cr: 0x44022448          xer: 0x0000000000000004   lr: 0x000000000014ede8  ctr: 0x0000000090a410e0
    r0: 0x0000000090aa4740   r1: 0x00000000bfffdd50   r2: 0x00000000002361dc   r3: 0x000000000a196990
    r4: 0x0000000090aa4740   r5: 0x0000000000000060   r6: 0x00000000ffffffff   r7: 0x000000000ccac000
    r8: 0x0000000000000001   r9: 0x000000000a196990  r10: 0x0000000000000000  r11: 0x000000006f544740
   r12: 0x0000000000000001  r13: 0x0000000000000000  r14: 0x0000000000000001  r15: 0x0000000000000001
   r16: 0x0000000000000000  r17: 0x0000000000000000  r18: 0x00000000000a68bf  r19: 0x0000000000000000
   r20: 0x00000000243816e8  r21: 0x0000000000000000  r22: 0x00000000bfffe750  r23: 0x00000000bfffe74c
   r24: 0x0000000000000000  r25: 0x0000000003afea4a  r26: 0x0000000000000000  r27: 0x0000000000000001
   r28: 0x0000000000000000  r29: 0x0000000009fe5e40  r30: 0x00000000bfffdd50  r31: 0x000000000045a5d4

comment:3 Changed 6 years ago by zacw

I get this crash on trunk too, but I can't reproduce it. It happens when the computer is idle as well.

comment:4 Changed 6 years ago by jas8522

  • priority changed from normal to high
  • Severity changed from normal to major

comment:5 Changed 6 years ago by Robby

Here's a debug log:

22:01:48: (Libpurple: oscar) rate warning (param ID 0x0001): curavg = 1710, maxavg = 6000, alert at 2000, clear warning at 2500, limit at 1500, disconnect at 800 (window size = 80)
22:01:49: (Libpurple: util) Writing file blist.xml to directory /Users/robertvehse/Library/Application Support/Adium 2.0/Users/Default/libpurple
22:01:49: (Libpurple: util) Writing file /Users/robertvehse/Library/Application Support/Adium 2.0/Users/Default/libpurple/blist.xml
22:01:50: (Libpurple: oscar) rate warning (param ID 0x0001): curavg = 1714, maxavg = 6000, alert at 2000, clear warning at 2500, limit at 1500, disconnect at 800 (window size = 80)
22:01:50: (Libpurple: oscar) unknown short capability: {134c}
22:01:50: (Libpurple: oscar) unknown capability: {563fc809-0b6f-41bd-9f79-422609dfa2f3}
22:01:50: (Libpurple: oscar) unknown capability: {563fc809-0b6f-4151-4950-203230303561}
22:01:50: (Libpurple: oscar) unknown capability: {d3d45319-8b32-403b-acc7-d1a9e2b5813e}
22:01:50: (Libpurple: oscar) unknown capability: {1a093c6c-d7fd-4ec5-9d51-a6474e34f5a0}
22:01:50: (Libpurple: blist) Updating buddy status for 346407880 (ICQ)
22:01:50: -[AIAccountSelectionView contactMenu:didRebuildMenuItems:]: 
22:01:50: -[AIAccountSelectionView chatDestinationChanged:]: popUp_contacts selecting <AIListContact:b019d10 ICQ.346407880> ((null))
22:01:50: -[AIAccountSelectionView chatSourceChanged:]: popUp_accounts selecting <ESPurpleICQAccount:9536610 12>:171272674 ((null))

comment:6 Changed 6 years ago by jas8522

Just happened again with [22944] As Zac said - computer was idle. I was at class, nowhere even near it.

Yet again, Robbie appears to have caused this crash:

17:06:37: (Libpurple: blist) Updating buddy status for robb1986ie (AIM)
17:06:37: -[AIAccountSelectionView contactMenu:didRebuildMenuItems:]: 
17:06:37: -[AIAccountSelectionView chatDestinationChanged:]: popUp_contacts selecting <AIListContact:10e20010 AIM.robb1986ie> ((null))
17:06:37: -[AIAccountSelectionView chatSourceChanged:]: popUp_accounts selecting <ESPurpleAIMAccount:f46ea40 6>:jas8522 ((null))

I'm going to remove you from my list if you keep this up! ;) Notice the consistency of calls to chatDestinationChanged and chat SourceChanged in all of the debug logs just prior to the crash. Each time so far it has been AIM/ICQ accounts.

comment:7 Changed 6 years ago by jas8522

According to #9522 this occurs with the 1.2 branch as well.

comment:8 Changed 6 years ago by jsailor

I've been seeing this with 1.0.4 through 1.2.3 for a while, both with AIM and XMPP stuff in the stacktraces. Notably, my only events currently are global and for "Contact request authorization", "File transfer requested", and "Event occurs", but at least one past crash occurred when Adium was playing a sound for a since-disabled "Contact signs on" event.

Almost all of the crashes share the same top chunk of the call stack:

0   libobjc.A.dylib             0x90a59380 objc_msgSend + 16
1   com.adiumX.adiumX           0x000aecdd -[AIContactController listObjectStatusChanged:modifiedStatusKeys:silent:] + 63
2   Adium                       0x0023ad0f -[AIListObject didModifyStatusKeys:silent:] + 82
3   Adium                       0x0023827a -[ESObjectWithStatus notifyOfChangedStatusSilently:] + 104
4   Adium                       0x0023bc89 -[AIListObject notifyOfChangedStatusSilently:] + 57

though one concludes with

0   libobjc.A.dylib                     0x90a619c1 _objc_error + 86
1   libobjc.A.dylib                     0x90a619f8 __objc_error + 45
2   libobjc.A.dylib                     0x90a60060 _freedHandler + 53
3   com.adiumX.adiumX                   0x000b1b18 -[AIContactController _informObserversOfObjectStatusChange:withKeys:silent:] + 165
4   com.adiumX.adiumX                   0x000aecdd -[AIContactController listObjectStatusChanged:modifiedStatusKeys:silent:] + 63

The earliest Adium crash in the CrashReporter log (dated 2007-05-25; Adium 1.0.4) seems to be one of these . They increased in frequency until they became sufficiently frequent to catch my attention in early March, at which point I downgraded from 1.2.3 to 1.2.2, and they seemed to subside for a while.

In said log (easier-to-read version without the binary images description), out of 25 crashes, only these 7 seem unrelated

  • 2008-01-17 13:15:34.867
  • 2007-12-05 02:12:36.669
  • 2007-11-10 21:15:33.964
  • 2007-10-04 02:52:09.128
  • 2007-09-27 17:54:28.374
  • 2007-09-17 00:04:55.952
  • 2007-08-05 21:59:20.919

This bug really irritates me a lot, so if there's anything I can do to help track down the cause, let me know. I'm going to give the current beta a try, though nothing listed in the changelog sounds like it'd be a fix.

(Also, if there's any way for someone to add me to the cc:, that'd be nice too.)

comment:9 Changed 6 years ago by jsailor

Here's one with 1.2.4

Date/Time:      2008-03-31 23:17:38.266 -0400
OS Version:     10.4.11 (Build 8S2167)
Report Version: 4

Command: Adium
Path:    /Applications/Adium.app/Contents/MacOS/Adium
Parent:  WindowServer [179]

Version: 1.2.4 (1.2.4)

PID:    11246
Thread: 0

Exception:  EXC_BAD_ACCESS (0x0001)
Codes:      KERN_PROTECTION_FAILURE (0x0002) at 0x00000021

Thread 0 Crashed:
0   libobjc.A.dylib           	0x90a59380 objc_msgSend + 16
1   com.adiumX.adiumX         	0x000aec50 -[AIContactController listObjectStatusChanged:modifiedStatusKeys:silent:] + 63
2   Adium                     	0x00252bc3 -[AIListObject didModifyStatusKeys:silent:] + 82
3   Adium                     	0x0025012e -[ESObjectWithStatus notifyOfChangedStatusSilently:] + 104
4   Adium                     	0x00253b3d -[AIListObject notifyOfChangedStatusSilently:] + 57
5   Adium                     	0x00250144 -[ESObjectWithStatus notifyOfChangedStatusSilently:] + 126
6   Adium                     	0x00253b3d -[AIListObject notifyOfChangedStatusSilently:] + 57
7   com.adiumX.AdiumPurple    	0x08018ef1 -[ESPurpleJabberAccount updateSignon:withData:] + 71
8   com.adiumX.AdiumPurple    	0x0800f1dd buddy_event_cb + 547
9   libpurple                 	0x081e5d5f purple_marshal_VOID__POINTER + 40
10  libpurple                 	0x081e5975 purple_signal_emit_vargs + 354
11  libpurple                 	0x081e580d purple_signal_emit + 124
12  libpurple                 	0x081a0b4c purple_blist_update_buddy_status + 208
13  libpurple                 	0x081dbc04 purple_prpl_got_user_status + 361
14  libpurple                 	0x0823eafc jabber_presence_parse + 5787
15  libpurple                 	0x08230271 jabber_process_packet + 250
16  libpurple                 	0x0823bb62 jabber_parser_element_end_libxml + 118
17  libxml2.2.dylib           	0x91c056e1 xmlParseNotationDecl + 3652
18  libxml2.2.dylib           	0x91beaee2 xmlParseChunk + 4127
19  libpurple                 	0x0823bd5d jabber_parser_process + 174
20  libpurple                 	0x08230d05 jabber_recv_cb_ssl + 184
21  libpurple                 	0x081ed57b recv_cb + 43
22  com.apple.CoreFoundation  	0x90842f1f __CFSocketDoCallback + 473
23  com.apple.CoreFoundation  	0x90842c94 __CFSocketPerformV0 + 392
24  com.apple.CoreFoundation  	0x9082cefa CFRunLoopRunSpecific + 1213
25  com.apple.CoreFoundation  	0x9082ca36 CFRunLoopRunInMode + 61
26  com.apple.HIToolbox       	0x92de7878 RunCurrentEventLoopInMode + 285
27  com.apple.HIToolbox       	0x92de6f82 ReceiveNextEventCommon + 385
28  com.apple.HIToolbox       	0x92de6dd9 BlockUntilNextEventMatchingListInMode + 81
29  com.apple.AppKit          	0x9326d0e5 _DPSNextEvent + 572
30  com.apple.AppKit          	0x9326ccd7 -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 137
31  com.apple.AppKit          	0x93266a64 -[NSApplication run] + 512
32  com.apple.AppKit          	0x9325a9c0 NSApplicationMain + 573
33  com.adiumX.adiumX         	0x00002b92 _start + 216
34  com.adiumX.adiumX         	0x00002ab9 start + 41

Thread 1:
0   libSystem.B.dylib         	0x90009cd7 mach_msg_trap + 7
1   com.unsanity.ape          	0x0067dd48 __ape_agent + 307
2   libSystem.B.dylib         	0x90024227 _pthread_body + 84

Thread 2:
0   libSystem.B.dylib         	0x90009cd7 mach_msg_trap + 7
1   com.apple.CoreFoundation  	0x9082d21b CFRunLoopRunSpecific + 2014
2   com.apple.CoreFoundation  	0x9082ca36 CFRunLoopRunInMode + 61
3   com.apple.audio.CoreAudio 	0x91469356 HALRunLoop::OwnThread(void*) + 158
4   com.apple.audio.CoreAudio 	0x91469171 CAPThread::Entry(CAPThread*) + 93
5   libSystem.B.dylib         	0x90024227 _pthread_body + 84

Thread 3:
0   libSystem.B.dylib         	0x9001a1cc select + 12
1   libSystem.B.dylib         	0x90024227 _pthread_body + 84

Thread 4:
0   libSystem.B.dylib         	0x900248c7 semaphore_wait_signal_trap + 7
1   com.apple.Foundation      	0x9284b2fc -[NSConditionLock lockWhenCondition:] + 39
2   com.apple.AppKit          	0x93343e50 -[NSUIHeartBeat _heartBeatThread:] + 377
3   com.apple.Foundation      	0x927f539c forkThreadForFunction + 123
4   libSystem.B.dylib         	0x90024227 _pthread_body + 84

Thread 5:
0   libSystem.B.dylib         	0x90009cd7 mach_msg_trap + 7
1   com.apple.CoreFoundation  	0x9082d21b CFRunLoopRunSpecific + 2014
2   com.apple.CoreFoundation  	0x9082ca36 CFRunLoopRunInMode + 61
3   com.apple.Foundation      	0x92851c76 +[NSURLCache _diskCacheSyncLoop:] + 206
4   com.apple.Foundation      	0x927f539c forkThreadForFunction + 123
5   libSystem.B.dylib         	0x90024227 _pthread_body + 84

Thread 6:
0   libSystem.B.dylib         	0x90009cd7 mach_msg_trap + 7
1   com.apple.CoreFoundation  	0x9082d21b CFRunLoopRunSpecific + 2014
2   com.apple.CoreFoundation  	0x9082ca36 CFRunLoopRunInMode + 61
3   com.apple.Foundation      	0x9282aa40 +[NSURLConnection(NSURLConnectionInternal) _resourceLoadLoop:] + 259
4   com.apple.Foundation      	0x927f539c forkThreadForFunction + 123
5   libSystem.B.dylib         	0x90024227 _pthread_body + 84

Thread 0 crashed with X86 Thread State (32-bit):
  eax: 0x00000001  ebx: 0x091446f0  ecx: 0x90ab9e0c  edx: 0x08b41aa8
  edi: 0x093e1470  esi: 0x07f97490  ebp: 0xbfffe648  esp: 0xbfffe5e8
   ss: 0x0000001f  efl: 0x00010206  eip: 0x90a59380   cs: 0x00000017
   ds: 0x0000001f   es: 0x0000001f   fs: 0x00000000   gs: 0x00000037

Binary Images Description:
    0x1000 -   0x12efff com.adiumX.adiumX 1.2.4	/Applications/Adium.app/Contents/MacOS/Adium
  0x21f000 -   0x22bfff net.brockerhoff.RBSplitView.Framework 1.1.4	/Applications/Adium.app/Contents/Frameworks/RBSplitView.framework/Versions/A/RBSplitView
  0x233000 -   0x2aafff Adium 	/Applications/Adium.app/Contents/Frameworks/Adium.framework/Versions/A/Adium
  0x405000 -   0x414fff com.example.sparkeplus ??? (1.1)	/Applications/Adium.app/Contents/Frameworks/Sparkle.framework/Versions/A/Sparkle
  0x421000 -   0x46ffff com.adiumX.OTR ??? (1.0)	/Applications/Adium.app/Contents/Frameworks/OTR.framework/Versions/A/OTR
  0x47f000 -   0x482fff org.boredzo.LMX ??? (1.0)	/Applications/Adium.app/Contents/Frameworks/LMX.framework/Versions/A/LMX
  0x67c000 -   0x68afff com.unsanity.ape 2.0.3	/Library/Frameworks/ApplicationEnhancer.framework/Versions/A/ApplicationEnhancer
  0x7a4000 -   0x7a6fff com.unsanity.menuextraenabler 1.0.3	/Library/InputManagers/Menu Extra Enabler/Menu Extra Enabler.bundle/Contents/MacOS/Menu Extra Enabler
  0x7b5000 -   0x7bcfff com.unsanity.smartcrashreports Smart Crash Reports version 1.2 (1.2)	/Library/InputManagers/Smart Crash Reports/Smart Crash Reports.bundle/Contents/MacOS/Smart Crash Reports
 0x121b000 -  0x121dfff apop.so 	/usr/lib/sasl2/apop.so
 0x12bb000 -  0x12bcfff com.apple.textencoding.unicode 2.1	/System/Library/TextEncodings/Unicode Encodings.bundle/Contents/MacOS/Unicode Encodings
 0x12d3000 -  0x12d4fff com.apple.textencoding.unicode 2.1	/System/Library/TextEncodings/Unicode Encodings.bundle/Contents/MacOS/Unicode Encodings
 0x12ec000 -  0x1328fff dhx.so 	/usr/lib/sasl2/dhx.so
 0x1349000 -  0x1351fff digestmd5WebDAV.so 	/usr/lib/sasl2/digestmd5WebDAV.so
 0x1355000 -  0x1356fff libanonymous.2.so 	/usr/lib/sasl2/libanonymous.2.so
 0x1815000 -  0x1824fff com.dpompa.fribidi ??? (1.0)	/Applications/Adium.app/Contents/Frameworks/FriBidi.framework/Versions/A/FriBidi
 0x372e000 -  0x3768fff com.adiumX.Bonjour ??? (0.0.1d1)	/Applications/Adium.app/Contents/PlugIns/Bonjour.AdiumPlugin/Contents/MacOS/Bonjour
 0x3783000 -  0x3784fff com.adiumX.purple ??? (1.0.0d1)	/Applications/Adium.app/Contents/PlugIns/Purple.AdiumPlugin/Contents/MacOS/Purple
 0x3789000 -  0x378afff libgmodule 	/Applications/Adium.app/Contents/Frameworks/libgmodule.framework/Versions/2.0.0/libgmodule
 0x378e000 -  0x37c2fff libgobject 	/Applications/Adium.app/Contents/Frameworks/libgobject.framework/Versions/2.0.0/libgobject
 0x37d3000 -  0x37d5fff libgthread 	/Applications/Adium.app/Contents/Frameworks/libgthread.framework/Versions/2.0.0/libgthread
 0x37d9000 -  0x37e2fff libintl 	/Applications/Adium.app/Contents/Frameworks/libintl.framework/Versions/8/libintl
 0x7ef9000 -  0x7efbfff libcrammd5.2.so 	/usr/lib/sasl2/libcrammd5.2.so
 0x8005000 -  0x804bfff com.adiumX.AdiumPurple ??? (1.0)	/Applications/Adium.app/Contents/PlugIns/Purple.AdiumPlugin/Contents/Frameworks/AdiumLibpurple.framework/Versions/A/AdiumLibpurple
 0x8084000 -  0x8144fff libglib 	/Applications/Adium.app/Contents/Frameworks/libglib.framework/Versions/2.0.0/libglib
 0x8162000 -  0x8188fff libmeanwhile 	/Applications/Adium.app/Contents/Frameworks/libmeanwhile.framework/Versions/1/libmeanwhile
 0x8197000 -  0x835efff libpurple 	/Applications/Adium.app/Contents/Frameworks/libpurple.framework/Versions/0.4.1/libpurple
 0x83d1000 -  0x83e2fff com.adiumX.WebKit-Message-View ??? (1.0.0d1)	/Applications/Adium.app/Contents/PlugIns/WebKit Message View.AdiumPlugin/Contents/MacOS/WebKit Message View
 0x856c000 -  0x856efff login.so 	/usr/lib/sasl2/login.so
 0x8693000 -  0x869bfff libdigestmd5.2.so 	/usr/lib/sasl2/libdigestmd5.2.so
 0x87a4000 -  0x87a7fff libgssapiv2.2.so 	/usr/lib/sasl2/libgssapiv2.2.so
 0x87ab000 -  0x87b0fff libntlm.so 	/usr/lib/sasl2/libntlm.so
 0x87b4000 -  0x87bcfff libotp.2.so 	/usr/lib/sasl2/libotp.2.so
 0x87c6000 -  0x87c8fff libplain.2.so 	/usr/lib/sasl2/libplain.2.so
 0x87cc000 -  0x87cffff mschapv2.so 	/usr/lib/sasl2/mschapv2.so
 0x87d3000 -  0x87d5fff shadow_auxprop.so 	/usr/lib/sasl2/shadow_auxprop.so
 0x87d9000 -  0x87dbfff smb_lm.so 	/usr/lib/sasl2/smb_lm.so
 0x87df000 -  0x87e1fff smb_nt.so 	/usr/lib/sasl2/smb_nt.so
 0x87e5000 -  0x87e8fff smb_ntlmv2.so 	/usr/lib/sasl2/smb_ntlmv2.so
0x11000000 - 0x1100bfff AIHyperlinks 	/Applications/Adium.app/Contents/Frameworks/AIHyperlinks.framework/Versions/A/AIHyperlinks
0x12000000 - 0x12043fff AIUtilities 	/Applications/Adium.app/Contents/Frameworks/AIUtilities.framework/Versions/A/AIUtilities
0x8e92e000 - 0x8e96bfff com.apple.CoreMediaIOServicesPrivate 1.4	/System/Library/PrivateFrameworks/CoreMediaIOServicesPrivate.framework/Versions/A/CoreMediaIOServicesPrivate
0x8efba000 - 0x8efe4fff com.apple.CoreMediaPrivate 1.4	/System/Library/PrivateFrameworks/CoreMediaPrivate.framework/Versions/A/CoreMediaPrivate
0x8fe00000 - 0x8fe4afff dyld 46.16	/usr/lib/dyld
0x90000000 - 0x90171fff libSystem.B.dylib 	/usr/lib/libSystem.B.dylib
0x901c1000 - 0x901c3fff libmathCommon.A.dylib 	/usr/lib/system/libmathCommon.A.dylib
0x901c5000 - 0x90202fff com.apple.CoreText 1.1.3 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x90229000 - 0x902fffff ATS 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x90460000 - 0x904e8fff com.apple.QTKit 7.4.1 (14)	/System/Library/Frameworks/QTKit.framework/Versions/A/QTKit
0x9080b000 - 0x908d3fff com.apple.CoreFoundation 6.4.10 (368.33)	/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x90911000 - 0x90911fff com.apple.CoreServices 10.4 (???)	/System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x90913000 - 0x90a07fff libicucore.A.dylib 	/usr/lib/libicucore.A.dylib
0x90a57000 - 0x90ad6fff libobjc.A.dylib 	/usr/lib/libobjc.A.dylib
0x90aff000 - 0x90b63fff libstdc++.6.dylib 	/usr/lib/libstdc++.6.dylib
0x90bd2000 - 0x90bd9fff libgcc_s.1.dylib 	/usr/lib/libgcc_s.1.dylib
0x90bde000 - 0x90c51fff com.apple.framework.IOKit 1.4.8 (???)	/System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x90c66000 - 0x90c78fff libauto.dylib 	/usr/lib/libauto.dylib
0x90c7e000 - 0x90f24fff com.apple.CoreServices.CarbonCore 682.28	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x90f67000 - 0x90fcffff com.apple.CoreServices.OSServices 4.1	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x91008000 - 0x91047fff com.apple.CFNetwork 129.22 (129.23)	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x9105a000 - 0x9106afff com.apple.WebServices 1.1.3 (1.1.0)	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/WebServicesCore.framework/Versions/A/WebServicesCore
0x91075000 - 0x910f4fff com.apple.SearchKit 1.0.7	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x9112e000 - 0x9114cfff com.apple.Metadata 10.4.4 (121.36)	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x91158000 - 0x91166fff libz.1.dylib 	/usr/lib/libz.1.dylib
0x91169000 - 0x91308fff com.apple.security 4.5.2 (29774)	/System/Library/Frameworks/Security.framework/Versions/A/Security
0x91406000 - 0x9140efff com.apple.DiskArbitration 2.1.2	/System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x91415000 - 0x9141cfff libbsm.dylib 	/usr/lib/libbsm.dylib
0x91420000 - 0x91446fff com.apple.SystemConfiguration 1.8.6	/System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x91458000 - 0x914cefff com.apple.audio.CoreAudio 3.0.5	/System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x9151f000 - 0x9151ffff com.apple.ApplicationServices 10.4 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x91521000 - 0x9154cfff com.apple.AE 314 (313)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x9155f000 - 0x91633fff com.apple.ColorSync 4.4.10	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x9166e000 - 0x916e1fff com.apple.print.framework.PrintCore 4.6 (177.13)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x9170f000 - 0x917b8fff com.apple.QD 3.10.25 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x917de000 - 0x91829fff com.apple.HIServices 1.5.2 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x91848000 - 0x9185efff com.apple.LangAnalysis 1.6.3	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x9186a000 - 0x91884fff com.apple.FindByContent 1.5	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/FindByContent.framework/Versions/A/FindByContent
0x9188e000 - 0x918cbfff com.apple.LaunchServices 182	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x918df000 - 0x918ebfff com.apple.speech.synthesis.framework 3.5	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x918f2000 - 0x91932fff com.apple.ImageIO.framework 1.5.6	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x91945000 - 0x919f7fff libcrypto.0.9.7.dylib 	/usr/lib/libcrypto.0.9.7.dylib
0x91a3d000 - 0x91a53fff libcups.2.dylib 	/usr/lib/libcups.2.dylib
0x91a58000 - 0x91a76fff libJPEG.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x91a7b000 - 0x91adafff libJP2.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
0x91aec000 - 0x91af0fff libGIF.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x91af2000 - 0x91b7afff libRaw.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRaw.dylib
0x91b7e000 - 0x91bbbfff libTIFF.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x91bc1000 - 0x91bdbfff libPng.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x91be0000 - 0x91be2fff libRadiance.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x91be4000 - 0x91cc2fff libxml2.2.dylib 	/usr/lib/libxml2.2.dylib
0x91cdf000 - 0x91cdffff com.apple.Accelerate 1.3.1 (Accelerate 1.3.1)	/System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x91ce1000 - 0x91d6ffff com.apple.vImage 2.5	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x91d76000 - 0x91d76fff com.apple.Accelerate.vecLib 3.3.1 (vecLib 3.3.1)	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x91d78000 - 0x91dd1fff libvMisc.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x91dda000 - 0x91dfefff libvDSP.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x91e06000 - 0x9220ffff libBLAS.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x92249000 - 0x925fdfff libLAPACK.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x9262a000 - 0x92717fff libiconv.2.dylib 	/usr/lib/libiconv.2.dylib
0x92719000 - 0x92797fff com.apple.DesktopServices 1.3.7	/System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x927d8000 - 0x92a08fff com.apple.Foundation 6.4.10 (567.37)	/System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x92b22000 - 0x92b39fff libGL.dylib 	/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x92b44000 - 0x92b9cfff libGLU.dylib 	/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x92bb0000 - 0x92bb0fff com.apple.Carbon 10.4 (???)	/System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x92bb2000 - 0x92bc2fff com.apple.ImageCapture 3.0.4	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x92bd1000 - 0x92bd9fff com.apple.speech.recognition.framework 3.6	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x92bdf000 - 0x92be4fff com.apple.securityhi 2.0.1 (24742)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x92bea000 - 0x92c7bfff com.apple.ink.framework 101.2.1 (71)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x92c8f000 - 0x92c92fff com.apple.help 1.0.3 (32.1)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x92c95000 - 0x92cb3fff com.apple.openscripting 1.2.5 (???)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x92cc5000 - 0x92ccbfff com.apple.print.framework.Print 5.2 (192.4)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x92cd1000 - 0x92d34fff com.apple.htmlrendering 66.1 (1.1.3)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x92d58000 - 0x92d99fff com.apple.NavigationServices 3.4.4 (3.4.3)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x92dc0000 - 0x92dcdfff com.apple.audio.SoundManager 3.9.1	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x92dd4000 - 0x92dd9fff com.apple.CommonPanels 1.2.3 (73)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x92dde000 - 0x930d3fff com.apple.HIToolbox 1.4.10 (???)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x931d9000 - 0x931e4fff com.apple.opengl 1.4.16	/System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x931e9000 - 0x93204fff com.apple.DirectoryService.Framework 3.2	/System/Library/Frameworks/DirectoryService.framework/Versions/A/DirectoryService
0x93254000 - 0x93254fff com.apple.Cocoa 6.4 (???)	/System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x93256000 - 0x9390cfff com.apple.AppKit 6.4.10 (824.45)	/System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x93c8d000 - 0x93d08fff com.apple.CoreData 91 (92.1)	/System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x93d41000 - 0x93dfafff com.apple.audio.toolbox.AudioToolbox 1.4.7	/System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x93e3d000 - 0x93e3dfff com.apple.audio.units.AudioUnit 1.4.2	/System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x93e3f000 - 0x94000fff com.apple.QuartzCore 1.4.12	/System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x94046000 - 0x94087fff libsqlite3.0.dylib 	/usr/lib/libsqlite3.0.dylib
0x9408f000 - 0x940c9fff libGLImage.dylib 	/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x940ce000 - 0x940e4fff com.apple.CoreVideo 1.4.2	/System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
0x941ff000 - 0x94210fff com.apple.securityfoundation 2.2.1 (28150)	/System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
0x9421e000 - 0x9425cfff com.apple.securityinterface 2.2.1 (27695)	/System/Library/Frameworks/SecurityInterface.framework/Versions/A/SecurityInterface
0x94278000 - 0x94287fff libCGATS.A.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib
0x9428e000 - 0x94299fff libCSync.A.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x942e5000 - 0x942fffff libRIP.A.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x94305000 - 0x9461cfff com.apple.QuickTime 7.4.1 (14)	/System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
0x9479f000 - 0x948e5fff com.apple.AddressBook.framework 4.0.6 (490)	/System/Library/Frameworks/AddressBook.framework/Versions/A/AddressBook
0x94971000 - 0x94980fff com.apple.DSObjCWrappers.Framework 1.1	/System/Library/PrivateFrameworks/DSObjCWrappers.framework/Versions/A/DSObjCWrappers
0x94987000 - 0x949b0fff com.apple.LDAPFramework 1.4.2 (69.1.1)	/System/Library/Frameworks/LDAP.framework/Versions/A/LDAP
0x949b6000 - 0x949c5fff libsasl2.2.dylib 	/usr/lib/libsasl2.2.dylib
0x949c9000 - 0x949eefff libssl.0.9.7.dylib 	/usr/lib/libssl.0.9.7.dylib
0x949fa000 - 0x94a17fff libresolv.9.dylib 	/usr/lib/libresolv.9.dylib
0x94bc3000 - 0x94c9bfff edu.mit.Kerberos 5.5.26	/System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
0x94d4c000 - 0x94dfefff com.apple.WebKit 4525.13	/System/Library/Frameworks/WebKit.framework/Versions/A/WebKit
0x94e69000 - 0x94f30fff com.apple.JavaScriptCore 4525.13	/System/Library/Frameworks/JavaScriptCore.framework/Versions/A/JavaScriptCore
0x94f6c000 - 0x9555efff com.apple.WebCore 4525.13	/System/Library/Frameworks/WebKit.framework/Versions/A/Frameworks/WebCore.framework/Versions/A/WebCore
0x95a46000 - 0x95a48fff com.apple.ExceptionHandling 1.2 (???)	/System/Library/Frameworks/ExceptionHandling.framework/Versions/A/ExceptionHandling
0x95a4b000 - 0x95a83fff com.apple.PDFKit 1.0.4	/System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/PDFKit.framework/Versions/A/PDFKit
0x979f5000 - 0x97accfff com.apple.QuartzComposer 1.2.6 (32.25)	/System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuartzComposer.framework/Versions/A/QuartzComposer
0x97b55000 - 0x97b55fff com.apple.quartzframework 1.0	/System/Library/Frameworks/Quartz.framework/Versions/A/Quartz
0x9fb14000 - 0x9ff69fff com.apple.CoreGraphics 1.258.77 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0xb0000000 - 0xb0027fff com.positivespinmedia.PSMTabBarControlFramework ??? (1.1)	/Applications/Adium.app/Contents/Frameworks/PSMTabBarControl.framework/Versions/A/PSMTabBarControl
0xc0000000 - 0xc000ffff com.growl.growlwithinstallerframework 1.1.2	/Applications/Adium.app/Contents/Frameworks/Growl-WithInstaller.framework/Versions/A/Growl-WithInstaller

Model: MacBook2,1, BootROM MB21.00A5.B07, 2 processors, Intel Core 2 Duo, 2 GHz, 2 GB
Graphics: Intel GMA 950, GMA 950, Built-In, spdisplays_integrated_vram
Memory Module: BANK 0/DIMM0, 1 GB, DDR2 SDRAM, 667 MHz
Memory Module: BANK 1/DIMM1, 1 GB, DDR2 SDRAM, 667 MHz
AirPort: spairport_wireless_card_type_airport_extreme (0x168C, 0x87), 1.1.9.3
Bluetooth: Version 1.9.5f4, 2 service, 1 devices, 1 incoming serial ports
Network Service: AirPort, AirPort, en1
Serial ATA Device: Hitachi HTS541680J9SA00, 74.53 GB
Parallel ATA Device: MATSHITACD-RW  CW-8221
USB Device: Built-in iSight, Micron, Up to 480 Mb/sec, 500 mA
USB Device: Apple Internal Keyboard / Trackpad, Apple Computer, Up to 12 Mb/sec, 500 mA
USB Device: Bluetooth USB Host Controller, Apple, Inc., Up to 12 Mb/sec, 500 mA
USB Device: IR Receiver, Apple Computer, Inc., Up to 12 Mb/sec, 500 mA

comment:10 Changed 6 years ago by jas8522

  • Milestone changed from Adium X 1.3 to Adium X 1.2.5

Going to push this forward to 1.2.5 as this now seems to be much more common than I originally thought!

comment:11 Changed 6 years ago by evands

The problem exists because somehow, somewhere an instance of an object which called -[AIContactController registerListObjectObserver:] is deallocating without having called -[AIContactController unregisterListObjectObserver:]. I don't see where this could be happening.

If someone can reproduce this with NSZombieEnabled set to YES, that would immediately point to the culprit.

comment:12 Changed 6 years ago by jas8522

  • Type changed from defect to crash

comment:13 Changed 6 years ago by evands

(In [23109]) Added debug build monitoring of whether AIListObjectObservers are properly unregistering themselves. This should let us figure out which object is failing to do so and therefore causing the crash in #9425, which occurs very intermittently. Refs #9425.

comment:14 Changed 6 years ago by echristo

I can normally get this to reproduce about 5-6 times a day, I'm trying with NSZombieEnabled.

comment:15 Changed 6 years ago by echristo

And here's the crash with NSZombieEnabled:

Process:         Adium [28494]
Path:            /Users/echristo/Applications/Adium.app/Contents/MacOS/Adium
Identifier:      com.adiumX.adiumX
Version:         1.2.4 (1.2.4)
Code Type:       X86 (Native)
Parent Process:  tcsh [28248]

Date/Time:       2008-04-12 19:06:24.333 -0700
OS Version:      Mac OS X 10.5.2 (9C7010)
Report Version:  6

Exception Type:  EXC_BREAKPOINT (SIGTRAP)
Exception Codes: 0x0000000000000002, 0x0000000000000000
Crashed Thread:  0

Thread 0 Crashed:
0   com.apple.CoreFoundation      	0x91ba9a07 ___forwarding___ + 823
1   com.apple.CoreFoundation      	0x91ba9b12 _CF_forwarding_prep_0 + 50
2   com.adiumX.adiumX             	0x000b1a8b -[AIContactController _informObserversOfObjectStatusChange:withKeys:silent:] + 165
3   com.adiumX.adiumX             	0x000aec50 -[AIContactController listObjectStatusChanged:modifiedStatusKeys:silent:] + 63
4   Adium                         	0x00252bc3 -[AIListObject didModifyStatusKeys:silent:] + 82
5   Adium                         	0x00252c86 -[AIListObject object:didSetStatusObject:forKey:notify:] + 132
6   Adium                         	0x00257d30 -[AIMetaContact object:didSetStatusObject:forKey:notify:] + 397
7   Adium                         	0x00252c4c -[AIListObject object:didSetStatusObject:forKey:notify:] + 74
8   Adium                         	0x0024ff79 -[ESObjectWithStatus setStatusObject:forKey:notify:] + 192
9   Adium                         	0x002500bb -[ESObjectWithStatus _applyDelayedStatus:] + 119
10  com.apple.Foundation          	0x92a0f02d __NSFireDelayedPerform + 477
11  com.apple.CoreFoundation      	0x91b2ab5e CFRunLoopRunSpecific + 4494
12  com.apple.CoreFoundation      	0x91b2ad18 CFRunLoopRunInMode + 88
13  com.apple.HIToolbox           	0x967526a0 RunCurrentEventLoopInMode + 283
14  com.apple.HIToolbox           	0x967524b9 ReceiveNextEventCommon + 374
15  com.apple.HIToolbox           	0x9675232d BlockUntilNextEventMatchingListInMode + 106
16  com.apple.AppKit              	0x903047d9 _DPSNextEvent + 657
17  com.apple.AppKit              	0x9030408e -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 128
18  com.apple.AppKit              	0x902fd0c5 -[NSApplication run] + 795
19  com.apple.AppKit              	0x902ca30a NSApplicationMain + 574
20  com.adiumX.adiumX             	0x00002b92 _start + 216
21  com.adiumX.adiumX             	0x00002ab9 start + 41

comment:16 Changed 6 years ago by echristo

Aiee. Sorry about the formatting on that:

0 com.apple.CoreFoundation 0x91ba9a07 _forwarding_ + 823

1 com.apple.CoreFoundation 0x91ba9b12 _CF_forwarding_prep_0 + 50

2 com.adiumX.adiumX 0x000b1a8b -[AIContactController _informObserversOfObjectStatusChange:withKeys:silent:] + 165

3 com.adiumX.adiumX 0x000aec50 -[AIContactController listObjectStatusChanged:modifiedStatusKeys:silent:] + 63

4 Adium 0x00252bc3 -[AIListObject didModifyStatusKeys:silent:] + 82

5 Adium 0x00252c86 -[AIListObject object:didSetStatusObject:forKey:notify:] + 132

6 Adium 0x00257d30 -[AIMetaContact object:didSetStatusObject:forKey:notify:] + 397

7 Adium 0x00252c4c -[AIListObject object:didSetStatusObject:forKey:notify:] + 74

8 Adium 0x0024ff79 -[ESObjectWithStatus setStatusObject:forKey:notify:] + 192

9 Adium 0x002500bb -[ESObjectWithStatus _applyDelayedStatus:] + 119

Is what appears to be the relevant part of the backtrace.

comment:17 Changed 6 years ago by echristo

Oh, and the console output at that point:

2008-04-12 19:06:24.229 Adium[28494:60b] * -[AIAccountMenu updateListObject:keys:silent:]: message sent to deallocated instance 0xc678770

comment:18 Changed 6 years ago by evands

Hm. Thanks for the info. That's really strange, since the code for AIAccountMenu seems to be foolproof - it's registering exactly once (in the init method) and unregistering in the dealloc method (which must be called when it deallocates).

Can you please reproduce this with Adium_1.3svn20080413? Relevant information will be the Console output and the Adium Debug Log preceding the crash (see CurrentAdiumDebug for information on getting the debug log in a crashing situation).

comment:19 Changed 6 years ago by echristo

Will do...

comment:20 follow-up: Changed 6 years ago by echristo

Haven't been able to reproduce it with that version yet... bodes well.

comment:21 in reply to: ↑ 20 Changed 6 years ago by evands

Replying to echristo:

Haven't been able to reproduce it with that version yet... bodes well.

Not particularly well; that version definitely doesn't fix whatever problem was there, but uses some convoluted logic to attempt to make it show up in the debug log.

comment:22 Changed 6 years ago by evands

So the debug changes I made above must have accidentally silenced the crash, I guess. That's no good, as it still exists in release builds, and the debug fix isn't acceptable.

I've changed in it [23220] to use NSIsFreedObject() instead of the large amount of code from before. This will require that debug logging to disk have been enabled for the output to be useful. Happy hunting!

comment:23 Changed 6 years ago by evands

  • Milestone changed from Adium X 1.2.5 to Adium X 1.3

I need someone to reproduce this using 1.3svn :)

comment:24 Changed 6 years ago by jsailor

For some reason, right after you linked to Adium_1.3svn20080413 the first time, the crashes seemed to become a lot less frequent-- I didn't get any until a few days ago. I was waiting for one to install the svn version; it's installed now, so hopefully I'll get another crash soon.

comment:25 Changed 6 years ago by evands

*nod* I think that the debugging changes in Adium_1.3svn20080413 accidentally masked the problem. I've reverted those changes; the debugging in place now should not change the way the program normally runs, so it should hopefully rear its ugly head.

comment:26 Changed 6 years ago by evands

Please use the CurrentAdiumDebug build (unless you are building from source, which is also fine) and have it write the Adium Debug Log to disk, then use normally until it crashes and post the full debug log of that session.

Changed 6 years ago by jas8522

comment:27 Changed 6 years ago by mlf

I do NOT have the crash, but my Console shows these messages. svn 23382, Xcode 2.5, OSX 10.4.11, deployment-debug:

2008-05-09 17:52:18.761 Adium[11073] *** +[Object allocWithZone:]: warning: Object compatibility method has been executed at least once.  Convert source code off it NOW!

** (process:11073): CRITICAL **: purple_signal_emit_vargs: assertion `instance_data != NULL' failed

** (process:11073): CRITICAL **: purple_signal_emit_vargs: assertion `instance_data != NULL' failed

** (process:11073): CRITICAL **: purple_signal_emit_vargs: assertion `instance_data != NULL' failed

** (process:11073): CRITICAL **: purple_signal_emit_vargs: assertion `instance_data != NULL' failed

** (process:11073): CRITICAL **: purple_signal_emit_vargs: assertion `instance_data != NULL' failed

** (process:11073): CRITICAL **: purple_signal_emit_vargs: assertion `instance_data != NULL' failed

** (process:11073): CRITICAL **: purple_signal_emit_vargs: assertion `instance_data != NULL' failed

** (process:11073): CRITICAL **: purple_signal_emit_vargs: assertion `instance_data != NULL' failed

** (process:11073): CRITICAL **: purple_signal_emit_vargs: assertion `instance_data != NULL' failed

** (process:11073): CRITICAL **: purple_signal_emit_vargs: assertion `instance_data != NULL' failed

** (process:11073): CRITICAL **: purple_signal_emit_vargs: assertion `instance_data != NULL' failed

** (process:11073): CRITICAL **: purple_signal_emit_vargs: assertion `instance_data != NULL' failed

** (process:11073): CRITICAL **: purple_signal_emit_vargs: assertion `instance_data != NULL' failed

** (process:11073): CRITICAL **: purple_signal_emit_vargs: assertion `instance_data != NULL' failed
May  9 17:52:19 MLFs-laptop /Users/mlf/Applications/Adium.app/Contents/MacOS/Adium: CMSCreateDataProviderOrGetInfo : Invalid colorspace type
May  9 17:52:20 MLFs-laptop /Users/mlf/Applications/Adium.app/Contents/MacOS/Adium: CMSCreateDataProviderOrGetInfo : Invalid colorspace type
May  9 17:52:21 MLFs-laptop /Users/mlf/Applications/Adium.app/Contents/MacOS/Adium: CMSCreateDataProviderOrGetInfo : Invalid colorspace type
May  9 17:52:21 MLFs-laptop /Users/mlf/Applications/Adium.app/Contents/MacOS/Adium: CMSCreateDataProviderOrGetInfo : Invalid colorspace type
May  9 17:52:22 MLFs-laptop /Users/mlf/Applications/Adium.app/Contents/MacOS/Adium: CMSCreateDataProviderOrGetInfo : Invalid colorspace type
May  9 17:52:22 MLFs-laptop /Users/mlf/Applications/Adium.app/Contents/MacOS/Adium: CMSCreateDataProviderOrGetInfo : Invalid colorspace type

From the debug log, here's what is happening in the 17:52:18 second:

17:52:18: -[AIAccount(Abstract) retrievePasswordThenConnect]: Retrieving <ESPurpleDotMacAccount:352dcb0 1>:xxxxxx@mac.com's password (promptOption 0)
17:52:18: -[AIAccount(Abstract) retrievePasswordThenConnect]: Retrieving <ESPurpleYahooAccount:5fcbd0 2>:xxxxxx's password (promptOption 0)
17:52:18: -[AIAccount(Abstract) retrievePasswordThenConnect]: Retrieving <ESPurpleMSNAccount:354c680 6>:xxxxxx@live.com's password (promptOption 0)
17:52:18: -[AIAccount(Abstract) retrievePasswordThenConnect]: Retrieving <AIFacebookAccount:352c1d0 7>:xxxxxx@mac.com's password (promptOption 0)
17:52:18: adiumPurpleCoreDebugInit()
17:52:18: adiumPurpleCore: load_all_plugins()
17:52:18: (Libpurple: prefs) removing pref /plugins/prpl/jabber/avoid_sasl_for_plain_auth
17:52:18: (Libpurple: prefs) removing pref /plugins/prpl/jabber
17:52:18: (Libpurple: util) Reading file xmpp-caps.xml from directory /Users/mlf/Library/Application Support/Adium 2.0/Users/Default/libpurple
17:52:18: (Libpurple: prefs) /purple/status/scores/offline changed, scheduling save.
17:52:18: (Libpurple: prefs) /purple/status/scores/available changed, scheduling save.
17:52:18: (Libpurple: prefs) /purple/status/scores/invisible changed, scheduling save.
17:52:18: (Libpurple: prefs) /purple/status/scores/away changed, scheduling save.
17:52:18: (Libpurple: prefs) /purple/status/scores/extended_away changed, scheduling save.
17:52:18: (Libpurple: prefs) /purple/status/scores/idle changed, scheduling save.
17:52:18: (Libpurple: prefs) /purple/status/scores/offline_msg changed, scheduling save.
17:52:18: (Libpurple: util) Reading file accounts.xml from directory /Users/mlf/Library/Application Support/Adium 2.0/Users/Default/libpurple
17:52:18: (Libpurple: util) Reading file status.xml from directory /Users/mlf/Library/Application Support/Adium 2.0/Users/Default/libpurple
17:52:18: (Libpurple: util) File /Users/mlf/Library/Application Support/Adium 2.0/Users/Default/libpurple/status.xml does not exist (this is not necessarily an error)
17:52:18: (Libpurple: certificate) CertificateVerifier x509, singleuse requested but not found.
17:52:18: (Libpurple: certificate) CertificateVerifier singleuse registered
17:52:18: (Libpurple: certificate) CertificatePool x509, ca requested but not found.
17:52:18: (Libpurple: certificate) CertificateScheme x509 requested but not found.
17:52:18: (Libpurple: certificate/x509/ca) Lazy init failed because an X.509 Scheme is not yet registered. Maybe it will be better later.
17:52:18: (Libpurple: certificate/x509/ca) Init failed, probably because a dependency is not yet registered. It has been deferred to later.
17:52:18: (Libpurple: certificate) CertificatePool ca registered
17:52:18: (Libpurple: certificate) CertificatePool x509, tls_peers requested but not found.
17:52:18: (Libpurple: certificate) CertificatePool tls_peers registered
17:52:18: (Libpurple: certificate) CertificateVerifier x509, tls_cached requested but not found.
17:52:18: (Libpurple: certificate) CertificateVerifier tls_cached registered
17:52:18: (Libpurple: prefs) /purple/logging/format changed, scheduling save.
17:52:18: (Libpurple: prefs) /purple/logging/format changed, scheduling save.
17:52:18: (Libpurple: prefs) /purple/proxy/type changed, scheduling save.
17:52:18: (Libpurple: prefs) /purple/proxy/host changed, scheduling save.
17:52:18: (Libpurple: prefs) /purple/proxy/port changed, scheduling save.
17:52:18: (Libpurple: prefs) /purple/proxy/username changed, scheduling save.
17:52:18: (Libpurple: prefs) /purple/proxy/password changed, scheduling save.
17:52:18: (Libpurple: stun) using server 
17:52:18: (Libpurple: nat-pmp) Found a default gateway
17:52:18: (Libpurple: nat-pmp) Attempting to retrieve the public ip address for the NAT device at: 192.168.1.1
17:52:18: (Libpurple: nat-pmp) 	Timeout: 0s 250000us
17:52:19: (Libpurple: nat-pmp) Response was not received from our gateway! Instead from: 0.0.0.0
17:52:19: adiumPurpleCoreUiInit
17:52:19: adiumPurpleCore: purple_blist_load()...

comment:28 Changed 6 years ago by djmori

comment:29 Changed 6 years ago by evands

  • Owner changed from nobody to evands
  • Status changed from new to assigned

I finally reproduced this and had the debug logging to match... and indeed it really is AIAccountMenu as found previously by echristo.

comment:30 Changed 6 years ago by evands

So! The problem occurs when a list object observer is unregistered and deallocates in response to the status update being posted. In this specific case, AIContactMenu is a list object observer, responds to an update by informing its delegate, which happens to be an AIAccountSelectorView. AIAccountSelectorView destroys and then recreates its AIAccountMenu... and then the enumeration of the observers continues, eventually trying to message the old AIAccountMenu, which has now been deallocated. *boom*.

comment:31 Changed 6 years ago by evands

  • Resolution set to fixed
  • Status changed from assigned to closed

(In [23524]) * Avoid the possibility of modifying the set of list object observers being enumerated by copying/autoreleasing it before enumeration.

  • Keep track of observers removed while observers are being notified, and avoid messaging them subsequently. Fixes #9425, where I wrote:

The problem occurs when a list object observer is unregistered and deallocates in response to the status update being posted. In this specific case, AIContactMenu is a list object observer, responds to an update by informing its delegate, which happens to be an AIAccountSelectorView. AIAccountSelectorView destroys and then recreates its AIAccountMenu... and then the enumeration of the observers continues, eventually trying to message the old AIAccountMenu, which has now been deallocated. *boom*.

comment:32 Changed 6 years ago by evands

(In [24151]) Backported [23524] to adium-1.2:

  • Avoid the possibility of modifying the set of list object observers being enumerated by copying/autoreleasing it before enumeration.
  • Keep track of observers removed while observers are being notified, and avoid messaging them subsequently. Fixes #9425, where I wrote:

The problem occurs when a list object observer is unregistered and deallocates in response to the status update being posted. In this specific case, AIContactMenu is a list object observer, responds to an update by informing its delegate, which happens to be an AIAccountSelectorView. AIAccountSelectorView destroys and then recreates its AIAccountMenu... and then the enumeration of the observers continues, eventually trying to message the old AIAccountMenu, which has now been deallocated. *boom*.

comment:33 Changed 6 years ago by jas8522

  • Milestone changed from Adium X 1.3 to Adium 1.4
  • Resolution fixed deleted
  • Status changed from closed to reopened
  • Version changed from 1.3svn to 1.4svn

Just got a report of this with 1.4svn: #10937

comment:34 Changed 6 years ago by beej

cc me

comment:35 Changed 6 years ago by wixardy

My stack is the same as #10937 on quit running [25628]. Zombie gives me:

Adium[86393:10b] * -[AIAddressBookController updateListObject:keys:silent:]: message sent to deallocated instance 0x18096230

And removedContactObservers is null, which is why this is failing.

comment:36 Changed 6 years ago by evands

  • Resolution set to fixed
  • Status changed from reopened to closed

This is not the same as #10937; this ticket was indeed fixed. The difference is subtle, but #10937 is only on-quit while this (#9425) is after any status change of a contact.

wixardy, I'm reopening #10937 and will add your report.

comment:37 Changed 5 years ago by Robby

  • Milestone changed from Adium 1.4 to Adium 1.3
Note: See TracTickets for help on using tickets.